
_CPU_Init:

;electronique_sirene_008_12f675.mpas,24 :: 		begin
;electronique_sirene_008_12f675.mpas,25 :: 		CMCON := %00000111;   // comparators OFF
	MOVLW      7
	MOVWF      CMCON+0
;electronique_sirene_008_12f675.mpas,26 :: 		TRISIO := %00000100;
	MOVLW      4
	MOVWF      TRISIO+0
;electronique_sirene_008_12f675.mpas,27 :: 		ANSEL := $00;
	CLRF       ANSEL+0
;electronique_sirene_008_12f675.mpas,28 :: 		OPTION_REG := $00;
	CLRF       OPTION_REG+0
;electronique_sirene_008_12f675.mpas,29 :: 		OPTION_REG.PSA := 0;
	BCF        OPTION_REG+0, 3
;electronique_sirene_008_12f675.mpas,30 :: 		OPTION_REG.PS2 := 0;
	BCF        OPTION_REG+0, 2
;electronique_sirene_008_12f675.mpas,31 :: 		OPTION_REG.PS1 := 1;
	BSF        OPTION_REG+0, 1
;electronique_sirene_008_12f675.mpas,32 :: 		OPTION_REG.PS0 := 0;
	BCF        OPTION_REG+0, 0
;electronique_sirene_008_12f675.mpas,33 :: 		INTCON := $00;
	CLRF       INTCON+0
;electronique_sirene_008_12f675.mpas,34 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;electronique_sirene_008_12f675.mpas,35 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;electronique_sirene_008_12f675.mpas,36 :: 		TMR0 := cTMR0_294Hz;
	MOVLW      46
	MOVWF      TMR0+0
;electronique_sirene_008_12f675.mpas,37 :: 		T1CON := $00;
	CLRF       T1CON+0
;electronique_sirene_008_12f675.mpas,38 :: 		T1CON.TMR1ON := 1;
	BSF        T1CON+0, 0
;electronique_sirene_008_12f675.mpas,39 :: 		PIR1.TMR1IF := 0;
	BCF        PIR1+0, 0
;electronique_sirene_008_12f675.mpas,40 :: 		PIE1.TMR1IE := 1;
	BSF        PIE1+0, 0
;electronique_sirene_008_12f675.mpas,41 :: 		IOC := %00000100;
	MOVLW      4
	MOVWF      IOC+0
;electronique_sirene_008_12f675.mpas,42 :: 		WPU := $00;
	CLRF       WPU+0
;electronique_sirene_008_12f675.mpas,43 :: 		iT1 := 0;
	CLRF       _iT1+0
;electronique_sirene_008_12f675.mpas,44 :: 		INTCON.GIE := 1;
	BSF        INTCON+0, 7
;electronique_sirene_008_12f675.mpas,45 :: 		bF1 := false;
	CLRF       _bF1+0
;electronique_sirene_008_12f675.mpas,46 :: 		Out_PowerOn := 1;
	BSF        GPIO+0, 1
;electronique_sirene_008_12f675.mpas,47 :: 		iShutdown := 0;
	CLRF       _iShutdown+0
;electronique_sirene_008_12f675.mpas,48 :: 		end;
L_end_CPU_Init:
	RETURN
; end of _CPU_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_sirene_008_12f675.mpas,51 :: 		begin
;electronique_sirene_008_12f675.mpas,53 :: 		if INTCON.T0IF then
	BTFSS      INTCON+0, 2
	GOTO       L__Interrupt3
;electronique_sirene_008_12f675.mpas,55 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;electronique_sirene_008_12f675.mpas,56 :: 		if bF1 then
	MOVF       _bF1+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt6
;electronique_sirene_008_12f675.mpas,57 :: 		TMR0 := cTMR0_262Hz
	MOVLW      20
	MOVWF      TMR0+0
	GOTO       L__Interrupt7
;electronique_sirene_008_12f675.mpas,58 :: 		else
L__Interrupt6:
;electronique_sirene_008_12f675.mpas,59 :: 		TMR0 := cTMR0_294Hz;
	MOVLW      46
	MOVWF      TMR0+0
L__Interrupt7:
;electronique_sirene_008_12f675.mpas,60 :: 		Out_Audio := Out_Audio xor 1;
	MOVLW      1
	XORWF      GPIO+0, 1
;electronique_sirene_008_12f675.mpas,61 :: 		end;
L__Interrupt3:
;electronique_sirene_008_12f675.mpas,63 :: 		if PIR1.TMR1IF then
	BTFSS      PIR1+0, 0
	GOTO       L__Interrupt9
;electronique_sirene_008_12f675.mpas,65 :: 		PIR1.TMR1IF := 0;
	BCF        PIR1+0, 0
;electronique_sirene_008_12f675.mpas,66 :: 		TMR1H := cTMR1H;
	MOVLW      216
	MOVWF      TMR1H+0
;electronique_sirene_008_12f675.mpas,67 :: 		TMR1L := cTMR1L;
	MOVLW      240
	MOVWF      TMR1L+0
;electronique_sirene_008_12f675.mpas,68 :: 		if inc(iT1) > 100 then
	INCF       _iT1+0, 1
	MOVF       _iT1+0, 0
	SUBLW      100
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt12
;electronique_sirene_008_12f675.mpas,70 :: 		bF1 := bF1 xor 1;
	MOVLW      1
	XORWF      _bF1+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _bF1+0
;electronique_sirene_008_12f675.mpas,71 :: 		Out_LED1 := bF1;
	BTFSC      R0+0, 0
	GOTO       L__Interrupt26
	BCF        GPIO+0, 4
	GOTO       L__Interrupt27
L__Interrupt26:
	BSF        GPIO+0, 4
L__Interrupt27:
;electronique_sirene_008_12f675.mpas,72 :: 		Out_LED2 := Out_LED1 xor 1;
	BTFSC      GPIO+0, 4
	GOTO       L__Interrupt28
	BSF        GPIO+0, 5
	GOTO       L__Interrupt29
L__Interrupt28:
	BCF        GPIO+0, 5
L__Interrupt29:
;electronique_sirene_008_12f675.mpas,73 :: 		iT1 := 0;
	CLRF       _iT1+0
;electronique_sirene_008_12f675.mpas,74 :: 		inc(iShutdown);
	INCF       _iShutdown+0, 1
;electronique_sirene_008_12f675.mpas,75 :: 		end;
L__Interrupt12:
;electronique_sirene_008_12f675.mpas,76 :: 		end;
L__Interrupt9:
;electronique_sirene_008_12f675.mpas,77 :: 		end;
L_end_Interrupt:
L__Interrupt25:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_main:

;electronique_sirene_008_12f675.mpas,80 :: 		begin
;electronique_sirene_008_12f675.mpas,81 :: 		CPU_Init;
	CALL       _CPU_Init+0
;electronique_sirene_008_12f675.mpas,82 :: 		while true do
L__main16:
;electronique_sirene_008_12f675.mpas,84 :: 		if iShutdown > 30 then // 30 secondes
	MOVF       _iShutdown+0, 0
	SUBLW      30
	BTFSC      STATUS+0, 0
	GOTO       L__main21
;electronique_sirene_008_12f675.mpas,86 :: 		Out_PowerOn := 0;
	BCF        GPIO+0, 1
;electronique_sirene_008_12f675.mpas,87 :: 		Out_LED1 := 0;
	BCF        GPIO+0, 4
;electronique_sirene_008_12f675.mpas,88 :: 		Out_LED2 := 0;
	BCF        GPIO+0, 5
;electronique_sirene_008_12f675.mpas,89 :: 		sleep;
	SLEEP
;electronique_sirene_008_12f675.mpas,90 :: 		end;
L__main21:
;electronique_sirene_008_12f675.mpas,91 :: 		end;
	GOTO       L__main16
;electronique_sirene_008_12f675.mpas,92 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
